/******************************************************************************
 * Programme d'exemple permettant de :
 * - Lire la fréquence du processeur
 * - Accéder à l'instruction RDTSC
 * - Chronométrer très précisément une durée.
 *
 * Par Haypo (victor.stinner@haypocalc.com) - http://www.haypocalc.com/
 *Sous Licence GPL
 *****************************************************************************/
#ifndef CHRONOMETRE_H_INCLUDED
#define CHRONOMETRE_H_INCLUDED

#include <iostream>
#include <ctime>
#include "Complexe.h"
#include "Naive.h"
#include "Recursive.h"
#include "BitReverseal.h"

#define NOMFICH_CPUINFO "/proc/cpuinfo"

double RDTSC(void);
int FrequenceCpu (double* frequence);
double Calculs(Complexe Coef[], float Liste[], int N, int choix);

#endif // CHRONOMETRE_H_INCLUDED
