/**IO.cpp
Gestion de l'écriture dans un fichier
**/
#include "IO.h"

using namespace std;

//Sauvegarde des Coefficients calculés par la FFT
// ATTENTION : Ne gère pas la taille du fichier !! -> On peut avoir des fichiers très lourds !
void SauvC(Complexe Coef[],int N)
{
    ofstream fichier;
    //On crée un fichier "Data.txt", que l'on va tenter d'acceder en écriture.
    fichier.open("Data.txt", ios::out|ios::trunc);

    if(fichier) //Si l'ouverture s'est bien déroulée :
    {
        for (int i = 0; i<N; i++)
        {
            float Re = Coef[i].getRe();
            float Im = Coef[i].getIm();
            //Sauvegarde des coefficients, sous la forme a+I*J
            fichier << Re << " + I*" << Im << endl;
        }
    }
    else
    {
        //En cas d'erreur, on averti l'utilisateur
        cout << "Problème d'accès au fichier" << endl;
    }
    fichier.close();
}

//Sauvegarde du temps mis par la procédure (stucture identique à la fonction précédente.
// ATTENTION : Ne gère pas la taille du fichier !!
void Sauvt(int type,int N, double t)
{
    ofstream fichier;
    fichier.open("Temps.txt",ios::out|ios::app);

    if(fichier)
    {
        fichier << type << " ** " << N << " ** " << t << endl;
    }
    else
    {
        cout << "Impossible d'ouvrir le fichier !!" << endl;
    }

    fichier.close();

}
