/**Recursive.cpp
On définit ici la méthode de calcul par récursivité
**/

#include <cmath>
#include "Complexe.h"
#include "Divers.h"

void FFTR(Complexe CoefFFT[], Complexe Liste[], int N)

{
    if(N == 1)
    {
        CoefFFT[0]=Liste[0];
    }
    else
    {
        Complexe *xp = new Complexe[N/2];
        Complexe *xi = new Complexe[N/2];
        Complexe *u = new Complexe[N/2];
        Complexe *v = new Complexe[N/2];

        for(int i=0;i<N/2;i++)
        {
            xp[i] = Liste[2*i];
            xi[i] = Liste[2*i+1];
        }
        FFTR(u,xi,N/2);
        FFTR(v,xp,N/2);
        Complexe omega;

        for (int k=0;k<N/2;k++)
        {
            omega.setExp(1,-2*PI*k/N);
            CoefFFT[k]=(omega*u[k]+v[k]);
            CoefFFT[k+N/2]=(omega*u[k]*(-1)+v[k]);
        }

        delete[] xi;
        delete[] xp;
        delete[] u;
        delete[] v;
    }
}

